Skip to main content
POST
/
api
/
webhooks
/
stripe
/
{environment}
Receive Stripe Webhook
curl --request POST \
  --url https://api.example.com/api/webhooks/stripe/{environment} \
  --header 'Content-Type: application/json' \
  --header 'stripe-signature: <api-key>' \
  --data '{}'
{
  "received": true,
  "handled": true,
  "event": {
    "environment": "test",
    "stripeEventId": "evt_123",
    "eventType": "checkout.session.completed",
    "livemode": true,
    "stripeAccountId": "acct_123",
    "objectType": "checkout.session",
    "objectId": "cs_test_123",
    "processingStatus": "pending",
    "attemptCount": 123,
    "lastError": "<string>",
    "receivedAt": "2023-11-07T05:31:56Z",
    "processedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

stripe-signature
string
header
required

Path Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live

Body

application/json

The body is of type object.

Response

Webhook received

received
boolean
required
handled
boolean
required
event
object